<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.blueland</groupId>
    <artifactId>blueland-plateform</artifactId>
    <version>1.0-SNAPSHOT</version>
  </parent>
  <artifactId>usm-render</artifactId>
  <name>usm-render</name>
  <url>http://maven.apache.org</url>
  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <oracle.driver.version>10.2.0.4.0</oracle.driver.version>
  </properties>
  <dependencies>
        <dependency>
   			<groupId>com.blueland</groupId>
    		 	<artifactId>usm-model</artifactId>
    		 	<version>1.0-SNAPSHOT</version>
		</dependency>
	  <dependency>
		  <groupId>com.blueland</groupId>
		  <artifactId>usm-core</artifactId>
		  <version>1.0-SNAPSHOT</version>
		  <exclusions>
			  <exclusion>
				  <artifactId>commons-collections4</artifactId>
				  <groupId>org.apache.commons</groupId>
			  </exclusion>
			  <exclusion>
				  <artifactId>mybatis</artifactId>
				  <groupId>org.mybatis</groupId>
			  </exclusion>
		  </exclusions>
	  </dependency>
   		 <dependency>
   			<groupId>org.projectlombok</groupId>
    		 	<artifactId>lombok</artifactId>
            <scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter</artifactId>
		</dependency>
		<dependency>
					<groupId>org.springframework.boot</groupId>
					<artifactId>spring-boot-starter-data-redis</artifactId>
		</dependency> 
		<dependency>  
		    <groupId>org.springframework.boot</groupId>  
		    <artifactId>spring-boot-starter-aop</artifactId>  
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
		    <groupId>org.springframework.boot</groupId>
		    <artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>
<!--		<dependency>-->
<!--			<groupId>com.oracle</groupId>-->
<!--			<artifactId>ojdbc14</artifactId>-->
<!--			<version>${oracle.driver.version}</version>-->
<!--		</dependency>		-->
		<dependency>
		    <groupId>org.springframework.boot</groupId>
		    <artifactId>spring-boot-devtools</artifactId>
		    <optional>true</optional>
		 </dependency>
		 <!-- mybatis end -->
		 <!--
        <dependency>
			<groupId>com.blueland.bpmclient</groupId>
			<artifactId>blueland-workflow-sdk</artifactId>
			<version>${blueland-workflow-sdk.version}</version>
		</dependency>-->
	  <dependency>
		  <groupId>com.github.mnadeem</groupId>
		  <artifactId>sql-table-name-parser</artifactId>
		  <version>0.0.5</version>
	  </dependency>
	  <dependency>
      	<groupId>com.alibaba</groupId>
       	<artifactId>druid-spring-boot-starter</artifactId>
       	<version>1.1.18</version>
	  </dependency>
	  <dependency>
		  <groupId>com.baomidou</groupId>
		  <artifactId>mybatis-plus-boot-starter</artifactId>
	  </dependency>
	  <dependency>
		  <groupId>com.baomidou</groupId>
		  <artifactId>mybatis-plus-extension</artifactId>
	  </dependency>
<!--	  <dependency>-->
<!--		  <groupId>com.rzdata</groupId>-->
<!--		  <artifactId>hr-api-spring-boot-starter</artifactId>-->
<!--		  <version>1.0.10</version>-->
<!--	  </dependency>-->
  </dependencies>
  <build>
		<plugins>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<groupId>org.apache.maven.plugins</groupId>
				<version>${maven-compiler-plugin.version}</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
					<skip>true</skip>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<version>${spring.boot.version}</version>
				<configuration>
					<mainClass>com.blueland.render.WebApp</mainClass>
				</configuration>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>
</project>
